/******************************************************************************
 * NImplemented_Command.java - Tell the client that this command is not yet implemented.
 * $Id: NImplemented_Command.java,v 1.3 2011/06/05 18:26:33 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: NImplemented_Command.java,v $
 * Revision 1.3  2011/06/05 18:26:33  dick
 * log is a method of JibsServer.  Always write screen logs to the log file.
 * So, no need to pass write-to-logs=true from everywhere.
 *
 * Revision 1.2  2011/05/31 13:02:43  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.command;

import net.sourceforge.jibs.server.JibsServer;
import net.sourceforge.jibs.server.Player;

import org.apache.log4j.Logger;

/** Tell the client that this command is <i>not yet implemented</i>.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.3 $ <br> $Date: 2011/06/05 18:26:33 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/command/NImplemented_Command.java">cvs NImplemented_Command.java</a>
 */
public class NImplemented_Command implements JibsCommand {
	private static final Logger logger = Logger.getLogger(NImplemented_Command.class);

	public boolean execute(JibsServer jibsServer, Player player,
			String strArgs, String[] args) {
		// m_not_yet_implemented=** Not yet implemented: '%0'
		Object[] obj = new Object[] { args[0] + strArgs };
		String msg = jibsServer.getJibsMessages()
		.convert("m_not_yet_implemented", obj);
		jibsServer.log("\"" + player.getName() + "\": " + msg);
		player.getOutputStream().println(msg);
		logger.warn("\"" + player.getName() + "\": " + msg);

		return true;
	}
}
